Debian DSA-3592-1 : nginx - security update

Medium Nessus Plugin ID 91431

Synopsis

The remote Debian host is missing a security-related update.

Description

It was discovered that a NULL pointer dereference in the Nginx code responsible for saving client request bodies to a temporary file might result in denial of service: Malformed requests could crash worker processes.

Solution

Upgrade the nginx packages.

For the stable distribution (jessie), this problem has been fixed in version 1.6.2-5+deb8u2.

See Also

https://packages.debian.org/source/jessie/nginx

https://www.debian.org/security/2016/dsa-3592

Plugin Details

Severity: Medium

ID: 91431

File Name: debian_DSA-3592.nasl

Version: 2.6

Type: local

Agent: unix

Published: 2016/06/02

Modified: 2018/11/10

Dependencies: 12634

Risk Information

Risk Factor: Medium

CVSS v2.0

Base Score: 5

Temporal Score: 3.7

Vector: CVSS2#AV:N/AC:L/Au:N/C:N/I:N/A:P

Temporal Vector: CVSS2#E:U/RL:OF/RC:C

CVSS v3.0

Base Score: 7.5

Temporal Score: 6.5

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H

Temporal Vector: CVSS:3.0/E:U/RL:O/RC:C

Vulnerability Information

CPE: p-cpe:/a:debian:debian_linux:nginx, cpe:/o:debian:debian_linux:8.0

Exploit Available: false

Exploit Ease: No known exploits are available

Patch Publication Date: 2016/06/01

Reference Information

CVE: CVE-2016-4450

DSA: 3592